local x_scale = 2
local y_scale = 2
local z_scale = 1.5

Hooks:PostHook(WeaponFactoryTweakData, "init", "reticlesizefix_weaponfactorytweak_init", function(self)
    -- To start out with, first make every existing sight bigger. This gets us most of the way there already.
    for part_name, part_data in pairs(self.parts) do
        if part_data and type(part_data) == "table" and part_data.material_parameters and part_data.material_parameters.gfx_reddot then
            local working_params_copy = deep_clone(part_data.material_parameters.gfx_reddot)
            for key, params in pairs(working_params_copy) do
                local current_scale = params.value
                params.value = Vector3(current_scale.x * x_scale, current_scale.y * y_scale, current_scale.z * z_scale)
            end
            part_data.material_parameters.gfx_reddot = working_params_copy
        end
    end

    -- Sight-specific tweaks go here

end)
